Skip to main content
GET
/
api
/
{projectId}
/
get-split-preview-results
Get split preview results
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/get-split-preview-results \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "assignmentPreview": {
      "title": "<string>",
      "keyLabel": "<string>",
      "rows": [
        {
          "stratValue": "<string>",
          "sampleCount": 123,
          "percentWithinGroup": 123,
          "totalLengthMs": 123,
          "percentWithinGroupDuration": 123
        }
      ],
      "summary": "<string>"
    },
    "balancePreviews": [
      {
        "title": "<string>",
        "keyLabel": "<string>",
        "rows": [
          {
            "stratValue": "<string>",
            "sampleCount": 123,
            "percentWithinGroup": 123,
            "totalLengthMs": 123,
            "percentWithinGroupDuration": 123
          }
        ],
        "summary": "<string>"
      }
    ]
  },
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

data
object
required
error
string

Optional error description (set if 'success' was false)